summaryrefslogtreecommitdiffstats
path: root/test/testlinks_env.sh.in
diff options
context:
space:
mode:
authorVailin Choi <vchoi@hdfgroup.org>2010-11-18 19:11:51 (GMT)
committerVailin Choi <vchoi@hdfgroup.org>2010-11-18 19:11:51 (GMT)
commit64a7862ffef32f17f8ec6632c201c99a233f419f (patch)
tree4a8dc9f80c0b8f6b72a955ba89cad501079034a0 /test/testlinks_env.sh.in
parent116391d56a1142b08c4c02eb13ed8e4598af507b (diff)
downloadhdf5-64a7862ffef32f17f8ec6632c201c99a233f419f.zip
hdf5-64a7862ffef32f17f8ec6632c201c99a233f419f.tar.gz
hdf5-64a7862ffef32f17f8ec6632c201c99a233f419f.tar.bz2
[svn-r19824] 1. Made fixes as in rev #19813 in trunk:
a) Add comments to test_4() in test/external.c about the name "/ link". b) Fix one memory leak in src/H5Lexternal.c: free memory pointed to by tmp_env_prefix for HDF5_EXT_PREFIX case. 3. Made changes for bug #1930 as in rev #19783, #19781 in trunk. 4. Made corresponding CMake changes as in rev #19782 in trunk.
Diffstat (limited to 'test/testlinks_env.sh.in')
-rw-r--r--test/testlinks_env.sh.in46
1 files changed, 46 insertions, 0 deletions
diff --git a/test/testlinks_env.sh.in b/test/testlinks_env.sh.in
new file mode 100644
index 0000000..e71dfc8
--- /dev/null
+++ b/test/testlinks_env.sh.in
@@ -0,0 +1,46 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page. It can also be found at
+# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have
+# access to either file, you may request a copy from help@hdfgroup.org.
+#
+# Test for external link with environment variable: HDF5_EXT_PREFIX
+
+nerrors=0
+
+# The build (current) directory might be different than the source directory.
+if test -z "$srcdir"; then
+ srcdir=.
+fi
+
+##############################################################################
+##############################################################################
+### T H E T E S T S ###
+##############################################################################
+##############################################################################
+
+# test for external links with HDF5_EXT_PREFIX
+echo "Testing external link with HDF5_EXT_PREFIX"
+TEST_NAME=links_env # The test name
+TEST_BIN=`pwd`/$TEST_NAME # The path of the test binary
+ENVCMD="env HDF5_EXT_PREFIX=.:tmp" # The environment variable & value
+#
+# Run the test
+$ENVCMD $TEST_BIN
+exitcode=$?
+if [ $exitcode -eq 0 ]; then
+ echo "Test for HDF5_EXT_PREFIX PASSED"
+ else
+ nerrors="`expr $nerrors + 1`"
+ echo "***Error encountered for HDF5_EXT_PREFIX test***"
+fi
+exit $nerrors